"""Alert on TrendMicro Malware events"""
from streamalert.shared.rule import rule


@rule(logs=['trendmicro:malwareevent'])
def trendmicro_malware_event(_):
    """
    author:       jack (jack1902)
    description:  Trend Micro identified malware on an agent
    testing:      (a) Log on to a machine where Trend Agent is active
                  (b) Upload EICAR Test File:
                  http://docs.trendmicro.com/all/ent/de/v1.5/en-us/de_1.5_olh/ctm_ag/ctm1_ag_ch8/t_test_eicar_file.htm
    """
    return True
